
/*
 *  This file contains predefinitions of external functions
 *  for POSIX.9 binding library.  
 *  In POSIX.1 those functions are macro.
 */

C*****    3.2.1.1

      external pxfwifexited
      logical  pxfwifexited

      external ipxfwexitstatus
      integer  ipxfwexitstatus

      external pxfwifsignaled
      logical  pxfwifsignaled

      external ipxfwtermsig
      integer  ipxfwtermsig

      external pxfwifstopped
      logical  pxfwifstopped

      external ipxfwstopsig
      integer  ipxfwstopsig


C*****    5.6.1.1

      external pxfisdir
      logical  pxfisdir

      external pxfischr
      logical  pxfischr

      external pxfisblk
      logical  pxfisblk

      external pxfisreg
      logical  pxfisreg

      external pxfisfifo
      logical  pxfisfifo


C*****    8.1.1.1

      external ipxfconst
      integer  ipxfconst

      external ipxfconst8
      integer*8  ipxfconst8

      logical  pxfisconst
      external pxfisconst

/*
 * Portable types definitions
 */
	
#ifdef __sparcv9

#define POSIX_V9
#define PXFT_STRUCTHANDLE	INTEGER*8
#define PXFT_SUBHANDLE		INTEGER*8
#define PXFT_DIRID		INTEGER*8
#define PXFT_TIME_T		INTEGER*8
#define PXFT_OFF_T		INTEGER*8
#define PXFT_SIZE_T		INTEGER*8
#define PXFT_INO_T		INTEGER*8
#define PXFT_DEV_T		INTEGER*8

#else

#define PXFT_STRUCTHANDLE	INTEGER
#define PXFT_SUBHANDLE		INTEGER
#define PXFT_DIRID		INTEGER
#define PXFT_TIME_T		INTEGER
#define PXFT_OFF_T		INTEGER
#define PXFT_SIZE_T		INTEGER
#define PXFT_INO_T		INTEGER
#define PXFT_DEV_T		INTEGER

#endif

C....!...1.........2.........3.........4.........5.........6.........7..

